Subject: Re: Please default to 'commit -a' when no changes were added

From: Matthias Andree <[email-masked]>
Date: Sat, 24 Apr 2010 00:18:19 +0200

Am 23.04.2010 21:34, schrieb Michael Witten:
> On Fri, Apr 23, 2010 at 13:59, Matthias Andree <[email-masked]> wrote:
>> I'd also concur that "default to commit -a" would be a most undesireable
> 
> The proposal was not "default to commit -a" but rather "default to
> commit -a when the index has not been explicitly updated with
> something like git add".

Which is the same:

default (n) (5b) "a selection automatically used by a computer program
in the absence of a choice made by the user" (Merriam-Webster)

No previous "git add" => default "git commit -a".  Exactly what I don't
want.  It makes the software appear at nondeterministic as you add to
the "if"s and "but"s, and it breaks established practice.

It is not desirable to break established workflows for the sake of
newcomers' convenience.